/**
 * Classe astratta che descrive i poligoni.
 *
 * @author  Federico Bergenti
 * @version 1.00 10/06/03
 */
public abstract class Polygon {
    /**
     * Calcola l'area del poligono.
     *
     * @return L'area del poligono.
     */
    public abstract double area();

    /**
     * Calcola il perimetro del poligono.
     *
     * @return Il perimetro del poligono.
     */
    public abstract double perimeter();

    /**
     * Ritorna il nome della figura.
     *
     * @return Il nome della figura.
     */
    public abstract String getName();
}
