/**
 * Programma che stampa a video l'area di tre rettangoli.
 * I rettangoli sono i seguenti:<br>
 * 5x7, 4x8, 10x10
 *
 * @author  Federico Bergenti
 * @version 1.00 10/06/03
 */
public class Main {
    /**
     * Metodo principale del programma.
     *
     * @param args Parametri passati sulla linea di comando.
     */
    public static void main(String[] args) {
        // Creazione dei tre rettangoli.
        Rectangle r1 = new Rectangle(5, 7);
        Rectangle r2 = new Rectangle(4, 8);
        Rectangle r3 = new Rectangle(10, 10);

        // Calcolo delle tre aree.
        int area1 = r1.area();
        int area2 = r2.area();
        int area3 = r3.area();

        // Stampa delle tre aree.
        System.out.println("Area del rettangolo 1: " + area1);
        System.out.println("Area del rettangolo 2: " + area2);
        System.out.println("Area del rettangolo 3: " + area3);
    }
}
