/**
 * Classe degli oggetti utilizzati per stampare a video l'area degli
 * elementi di una lista di rettangoli.
 *
 * @author  Federico Bergenti
 * @version 1.00 10/06/03
 */
public class Printer {
    /**
     * Stampa a video la lista dei rettangoli.
     *
     * @param La lista da stampare.
     */
    public void print(ListOfRectangles list) {
        for(int i = 0; i < list.getSize(); i++) {
            Rectangle r = list.getElement(i);

            System.out.println(r.area());
        }
    }
}
