package bancomat;

/**
 * Programma implementa un sistema di controllo di un Bancomat.
 *
 * @author  Federico Bergenti
 * @version 1.00 10/06/03
 */
public class Main {
    /**
     * Metodo principale del programma.
     *
     * @param args Parametri passati sulla linea di comando.
     */
    public static void main(String[] args) {
        boolean isTest = false;

        switch(args.length) {
        case 0: break;
        case 1: 
            if(args[0].equalsIgnoreCase("test")) { isTest = true; break; }
        default: 
            System.err.println("Utilizzo: java bancomat.Main [test]"); System.exit(-1); 
        }

        Controller controller = new Controller(isTest);

        controller.run();
    }
}
