import java.awt.Graphics;

/**
 * Interfaccia che descrive le viste dei poligoni.
 *
 * @author  Federico Bergenti
 * @version 1.00 10/06/03
 */
public interface PolygonView {
    /**
     * Disegna un poligono sul contesto grafico <code>g</code>.
     *
     * @param Il contesto grafico in cui disegnare.
     */
    public void paintPolygon(Graphics g);

    /**
     * Ritorna il poligono associato alla vista.
     *
     * @return Il poligono associato alla vista.
     */
    public Polygon getPolygon();
}
