import login.*;

public class SimpleLoginModel extends AbstractLoginModel {
    public SimpleLoginModel(DataBaseManager dataBaseManager) {
        super("Administrator", 5, false);

        this.dataBaseManager = dataBaseManager;
    }

    public boolean validate(String userName, String password) {
        boolean result = dataBaseManager.validateCredentials(userName, password);

        if(result) initialUserName = userName;

        return result;
    }

    protected DataBaseManager dataBaseManager;
}
