/**
 * Pattern 'Adapter'.
 *
 * @author  Federico Bergenti
 * @version 1.00 10/06/03
 */
public class Client {
    /**
     * Invoca il metodo sul target.
     */
    public static void callRequest(Target target) {
        target.request();
    }

    /**
     * Funzione main di test.
     */
    public static void main(String[] args) {
        Target realTarget    = new Target();
        Target adaptedTarget = new Adapter(new Adaptee());

        callRequest(realTarget);
        callRequest(adaptedTarget);
    }
}
