/**
 * Pattern 'Bridge'.
 *
 * @author  Federico Bergenti
 * @version 1.00 10/06/03
 */
public class Abstraction {
    /**
     * Costruttore.
     */
    public Abstraction(Implementor i) {
        implementor = i;
    }

    /**
     * Metodo.
     */
    public void operation() {
        implementor.operationImpl();
    }

    /**
     * Oggetto implementazione.
     */
    private Implementor implementor;
}
