/**
 * Pattern 'Builder'.
 *
 * @author  Federico Bergenti
 * @version 1.00 10/06/03
 */
public abstract class Builder {
    /**
     * Crea la parte A.
     */
    public abstract void buildPartA();

    /**
     * Crea la parte B.
     */
    public abstract void buildPartB();

    /**
     * Crea la parte C.
     */
    public abstract void buildPartC();

    /**
     * Ritorna il prodotto completo.
     */
    public abstract Product getResult();
}
