/**
 * Pattern 'Prototype'.
 *
 * @author  Federico Bergenti
 * @version 1.00 10/06/03
 */
public class Prototype implements Cloneable {
    /**
     * Costruttore.
     */
    public Prototype() {
        state = "State";
    }

    /**
     * Crea un nuovo oggetto copiando se stesso.
     */
    public Object clone() {
        Prototype product = new Prototype();

        product.state = state;

        return product;
    }

    /**
     * Lo stato dell'oggetto.
     */
    private String state;
}
