/**
 * Pattern 'Proxy'.
 *
 * @author  Federico Bergenti
 * @version 1.00 10/06/03
 */
public class Proxy extends Subject {
    /**
     * Costruttore.
     */
    public Proxy(Subject s) {
        realSubject = s;
    }

    /**
     * Metodo.
     */
    public void request() {
        realSubject.request();
    }

    /**
     * Il subject vero.
     */
    private Subject realSubject;
}
