/**
 * Pattern 'Singleton'.
 *
 * @author  Federico Bergenti
 * @version 1.00 10/06/03
 */
public class Singleton {
    /**
     * Costruttore privato.
     */
    private Singleton() {}

    /**
     * Ritorna l'unica istanza dell'oggetto.
     */
    public static Singleton getInstance() {
        if(instance == null) instance = new Singleton();

        return instance;
    }

    /**
     * L'unica istanza possibile dell'oggetto.
     */
    private static Singleton instance;
}
