/**
 * Classe degli oggetti utilizzabili per confrontare due poligoni usando il perimetro.
 *
 * @author  Federico Bergenti
 * @version 1.00 10/06/03
 */
public class PerimeterComparator implements Comparator {
    public boolean lessThan(Object e1, Object e2) {
        Polygon p1 = (Polygon)e1;
        Polygon p2 = (Polygon)e2;

        return p1.perimeter() < p2.perimeter();
    }
}
