import java.util.List;

/**
 * Classe degli oggetti utilizzati per stampare a video l'area degli
 * elementi di una lista di poligoni.
 *
 * @author  Federico Bergenti
 * @version 1.00 10/06/03
 */
public class Printer {
    /**
     * Stampa a video la lista dei poligoni.
     *
     * @param La lista da stampare.
     */
    public void print(List list) {
        for(int i = 0; i < list.size(); i++) {
            Polygon p = (Polygon)list.get(i);

            System.out.println(p.getName() + " with area: " + p.area());
        }
    }
}
