import java.util.Iterator;
import java.util.Set;

/**
 * Programma che crea un insieme e lo manipola in vario modo.
 *
 * @author  Federico Bergenti
 * @version 1.00 10/06/03
 */
public class Main {
    /**
     * Metodo principale del programma.
     *
     * @param args Parametri passati sulla linea di comando.
     */
    public static void main(String[] args) {
        // Creazione dell'insieme.
        Set set = new ArraySet(10);

        // Riempimento dell'insieme
        for(int i = 0; i < 50; i++) set.add("Element" + i);

        set.add("Element10");
        set.add("Element40");

        // Riempimento dell'insieme
        for(int i = 3; i < 33; i++) set.remove("Element" + i);

        set.remove("Element40");
        set.remove("Element5");

        // Stampa delle informazioni relative all'insieme.
        System.out.println(set.size());
        System.out.println(set.isEmpty());

        for(Iterator i = set.iterator(); i.hasNext(); ) System.out.println(i.next());
    }
}
