/**
 * Programma che crea una lista contenente 10 rettangoli.
 * I rettangoli sono i seguenti:<br>
 * 5x7, 4x8, 10x10, 1x1, 1x2, 7x10, 50x30, 3x6, 6x7, 200x20<br>
 * Una volta ordinata in base all'area, la lista viene stampata a video.
 *
 * @author  Federico Bergenti
 * @version 1.00 10/06/03
 */
public class Main {
    /**
     * Metodo principale del programma.
     *
     * @param args Parametri passati sulla linea di comando.
     */
    public static void main(String[] args) {
        // Creazione della lista dei rettangoli.
        ListOfRectangles list = new ListOfRectangles();

        // Creazione dei rettangoli e aggiunta alla lista.
        list.addElement(new Rectangle(5, 7));
        list.addElement(new Rectangle(4, 8));
        list.addElement(new Rectangle(10, 10));
        list.addElement(new Rectangle(1, 1));
        list.addElement(new Rectangle(1, 2));
        list.addElement(new Rectangle(7, 10));
        list.addElement(new Rectangle(50, 30));
        list.addElement(new Rectangle(3, 6));
        list.addElement(new Rectangle(6, 7));
        list.addElement(new Rectangle(200, 20));

        // Stampa delle aree degli elementi della lista.
        for(int i = 0; i < list.getSize(); i++) {
            System.out.println(list.getElement(i).area());
        }
    }
}
