/**
 * Classe delle persone.
 *
 * @author  Federico Bergenti
 * @version 1.00 10/06/03
 */
public class Person {
    /**
     * Ritorna il passaporto della persona.
     *
     * @return Il passaporto della persona.
     */
    public Passport getPassport() {
        return passport;
    }

    /**
     * Permette di impostare il passaporto della persona.
     *
     * @param p Il passaporto.
     */
    public void setPassport(Passport p) {
        passport = p;
    }

    /**
     * Passaporto della persona.
     */
    private Passport passport;

    /**
     * Nome della persona.
     */
    private String name;

    /**
     * Cognome della persona.
     */
    private String familyName;
}
