/**
 * Classe dei quadrati.
 *
 * @author  Federico Bergenti
 * @version 1.00 10/06/03
 */
public class Square extends Rectangle {
    /**
     * Calcola l'area del quadrato.
     *
     * @return L'area del quadrato.
     */
    public int area() {
        return getWidth()*getWidth();
    }

    /**
     * Calcola il perimetro del quadrato.
     *
     * @return Il perimetro del quadrato.
     */
    public int perimeter() {
        return 4*getWidth();
    }

    /**
     * Costruttore per i quadrati.
     *
     * @param s Lato del quadrato.
     */
    public Square(int s) {
        super(s, s);
    }
}
