package bancomat;

/**
 * Classe degli utente.
 *
 * @author  Federico Bergenti
 * @version 1.00 10/06/03
 */
public class User {
    /**
     * Costruisce un oggetto utente.
     */
    public User(Card c, PIN p, Account a) {
        card    = c;
        pin     = p;
        account = a;
    }

    /**
     * Restituisce la carta.
     */
    public Card getCard() {
        return card;
    }

    /**
     * Restituisce il PIN.
     */
    public PIN getPIN() {
        return pin;
    }

    /**
     * Restituisce il conto corrente.
     */
    public Account getAccount() {
        return account;
    }

    /**
     * La carta.
     */
    private Card card;

    /**
     * Il PIN.
     */
    private PIN pin;

    /**
     * Il conto corrente.
     */
    private Account account;
}
