/**
 * Classe dei quadrati.
 *
 * @author  Federico Bergenti
 * @version 1.00 10/06/03
 */
public class ConcreteSquare extends ConcreteRectangle implements Square {
    /**
     * Costruttore per i quadrati.
     *
     * @param ox Coordinata X dell'angolo in alto a sinistra.
     * @param oy Coordinata Y dell'angolo in alto a sinistra.
     * @param l Il lato del quadrato.
     */
    public ConcreteSquare(int ox, int oy, int l) {
        super(ox, oy, l, l);
    }

    /**
     * Ritorna il nome della figura.
     *
     * @return Il nome della figura.
     */
    public String getName() {
        return "Square";
    }
}
