import login.*;

import javax.swing.*;

import java.awt.*;
import java.awt.event.*;

public class Main {
    public static void main(String[] args) {
        JDialog dialog = new JDialog();
        JLoginPanel loginPanel = new JLoginPanel();

        dialog.getContentPane().add(loginPanel);

        loginPanel.addActionListener(new ActionListener() {
            public void actionPerformed(ActionEvent e) {
                if(e.getActionCommand().equals("okPressed")) {
                    System.out.println("Premuto OK");
                } else {
                    System.out.println("Premuto Cancel");
                }
            }
        });
        
        Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
        int       width      = 400,
                  height     = 170,
                  x          = (int)((screenSize.getWidth()  - width)  / 2),
                  y          = (int)((screenSize.getHeight() - height) / 2);

        dialog.setTitle("Login");
        dialog.setBounds(x, y, width, height);
        dialog.setDefaultCloseOperation(JDialog.DISPOSE_ON_CLOSE);
        dialog.setVisible(true);
    }
}
