import login.*;

import javax.swing.*;

import java.awt.*;
import java.awt.event.*;

public class Main {
    public static void main(String[] args) {
        JLoginPanel loginPanel = new JLoginPanel();
        loginPanel.setOKString("Entra");
        loginPanel.setCancelString("Esci");

        loginPanel.addLoginListener(new LoginListener() {
            public void loginRequested(LoginEvent e) {
                System.out.println("Premuto OK");
            } 

            public void loginCancelled(LoginEvent e) {
                System.out.println("Premuto Cancel");
            }
        });
        
        Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
        int       width      = 400,
                  height     = 170,
                  x          = (int)((screenSize.getWidth()  - width)  / 2),
                  y          = (int)((screenSize.getHeight() - height) / 2);

        JDialog dialog = new JDialog();
        dialog.setTitle("Login");
        dialog.setBounds(x, y, width, height);
        dialog.setDefaultCloseOperation(JDialog.DISPOSE_ON_CLOSE);
        dialog.getContentPane().add(loginPanel);
        dialog.setVisible(true);
    }
}
