import login.*;
import util.*;

import java.util.*;

public class TestDataBaseManager implements DataBaseManager {
    public TestDataBaseManager() {
        userNamePasswordMap.put(new UpperCaseString("Administrator"), "administrator");
        userNamePasswordMap.put(new UpperCaseString("PowerUser"),     "powerUser");
        userNamePasswordMap.put(new UpperCaseString("User"),          "user");
    }

    public boolean validateCredentials(String userName, String password) {
        String mappedPassword = (String)userNamePasswordMap.get(new UpperCaseString(userName));

        return mappedPassword != null && mappedPassword.equals(password);
    }

    protected Map userNamePasswordMap = new HashMap();
}
