/**
 * Programma che costruisce il seguente albero e lo stampa a video.
 * A
 * |\
 * B C
 *   |\
 *   D E
 *     |\
 *     F G
 *
 * @author  Federico Bergenti
 * @version 1.00 10/06/03
 */
public class Main {
    public static void main(String[] args) {
        AbstractTree t1 = new Tree("E", new Leaf("F"), new Leaf("G"));
        AbstractTree t2 = new Tree("C", new Leaf("D"), t1);
        AbstractTree t3 = new Tree("A", new Leaf("B"), t2);

        t3.print();
    }
}
