/**
 * Pattern 'Adapter'.
 *
 * @author  Federico Bergenti
 * @version 1.00 10/06/03
 */
public class Adapter extends Target {
    /**
     * Costruttore.
     */
    public Adapter(Adaptee a) {
        adaptee = a;
    }

    /**
     * Metodo.
     */
    public void request() {
        adaptee.specificRequest();
    }

    /**
     * Oggetto adattato.
     */
    private Adaptee adaptee;
}
