/**
 * Pattern 'Builder'.
 *
 * @author  Federico Bergenti
 * @version 1.00 10/06/03
 */
public class ConcreteProduct extends Product {
    /**
     * Aggiunge la parte A al prodotto.
     */
    public void addPartA(Part a) {
        partA = a;
    }

    /**
     * Aggiunge la parte B al prodotto.
     */
    public void addPartB(Part b) {
        partB = b;
    }

    /**
     * Aggiunge la parte C al prodotto.
     */
    public void addPartC(Part c) {
        partC = c;
    }

    /**
     * La parte A del prodotto.
     */
    Part partA;

    /**
     * La parte B del prodotto.
     */
    Part partB;

    /**
     * La parte C del prodotto.
     */
    Part partC;
}
