/**
 * Pattern 'Builder'.
 *
 * @author  Federico Bergenti
 * @version 1.00 10/06/03
 */
public class Director {
    /**
     * Crea un oggetto complesso.
     */
    public Product construct(Builder builder) {
        builder.buildPartA();
        builder.buildPartB();
        builder.buildPartC();
        
        return builder.getResult();
    }
}
