/**
 * Pattern 'Builder'.
 *
 * @author  Federico Bergenti
 * @version 1.00 10/06/03
 */
public abstract class Product {
    /**
     * Aggiunge la parte A al prodotto.
     */
    public abstract void addPartA(Part a);

    /**
     * Aggiunge la parte B al prodotto.
     */
    public abstract void addPartB(Part b);

    /**
     * Aggiunge la parte C al prodotto.
     */
    public abstract void addPartC(Part c);
}
